/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.util.xml;

import com.liferay.portal.kernel.util.StringPool;

/**
 * <a href="CDATAUtil.java.html"><b><i>View Source</i></b></a>
 *
 * @author Alexander Chow
 */
public class CDATAUtil {

	public static String wrap(String s) {
		return StringPool.CDATA_OPEN + s + StringPool.CDATA_CLOSE;
	}

	public static String strip(String s) {
		String retVal;

		if (s.startsWith(StringPool.CDATA_OPEN) &&
			s.endsWith(StringPool.CDATA_CLOSE)) {

			retVal = s.substring(
				StringPool.CDATA_OPEN.length(),
				s.length() - StringPool.CDATA_CLOSE.length());
		}
		else {
			retVal = s;
		}

		return retVal;
	}

}